<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
<div class="container" style="text-align: center">
  <div class="supermarket_container">
    <h2>Supermercados</h2>
    <table class="table table-hover" style="text-align: center">
      <thead>
        <tr>
          <th>Supermercado</th>
          <th>Teléfono</th>
          <th>Latitud</th>
          <th>Longitud</th>
          <th>Opciones</th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <td>
            <input [(ngModel)]="new_supermarket_name">
          </td>
          <td>
            <input [(ngModel)]="new_supermarket_phone" type="number">
          </td>
          <td>
            <input [(ngModel)]="new_supermarket_lat" type="number" step="0.01">
          </td>
          <td>
            <input [(ngModel)]="new_supermarket_lon" type="number" step="0.01">
          </td>
          <td>
            <button class="btn btn-sm btn-primary" style="text-align:center" (click)="addSupermercado()">Agregar</button>
          </td>
        </tr>
        <tr *ngFor="let supermarket of supermarkets">
          <td>{{supermarket.name}}</td>
          <td>{{supermarket.phone}}</td>
          <td>{{supermarket.location.latitude}}</td>
          <td>{{supermarket.location.longitude}}</td>
          <td>
            <a href="{{supermarket.google_maps_link}}" target="_blank"  class="btn btn-sm btn-primary">Ver en Google Maps</a>
            <button class="btn btn-sm btn-primary btn_see_detail_supermarket" style="text-align:center" (click)="goToDetail(supermarket)">Ver Detalle</button>
            <button class="btn btn-sm btn-primary btn_see_detail_supermarket" style="text-align:center" (click)="deleteSupermarket(supermarket)">Eliminar</button>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
  <div class="add_product_container">
    <h2>Agregar productos </h2>
    <table class="table table-hover" style="text-align: center">
      <thead>
        <tr>
          <th>Dato</th>
          <th>Valor</th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <td>Nombre:</td>
          <td>
            <input #name [(ngModel)]="new_product_name">
          </td>
        </tr>
        <tr>
          <td>Precio:</td>
          <td>
            <input type="number" #price [(ngModel)]="new_product_price">
          </td>

        </tr>
        <tr>
          <td> Moneda:</td>
          <td>
            <input  #iso [(ngModel)]="new_product_iso">
          </td>
        </tr>

        <tr>
          <td> Descripción español:</td>
          <td>
            <input #descripcion [(ngModel)]="new_product_descripcion">
          </td>
        </tr>
        <tr>
          <td> Descripción ingles:</td>
          <td>
            <input #description [(ngModel)]="new_product_description">
          </td>
        </tr>
        <tr>
          <td> Imagen:</td>
          <td>
            <input #imagenUrl [(ngModel)]="new_product_image_url">
          </td>
        </tr>
        <tr>
          <td> Supermercado:</td>
          <td>
            <select #idSupermercado [(ngModel)]="new_product_supermarket">
              <option *ngFor="let supermarket of supermarkets" value="{{supermarket.id}}"> {{supermarket.name}}</option>
            </select>
          </td>
        </tr>
      </tbody>
    </table>
    <button class="btn btn-md btn-primary" style="text-align:center" (click)="addProduct(name.value, price.value,iso.value,descripcion.value,description.value, imagenUrl.value,idSupermercado.value)">Agregar producto</button>
  </div>
</div>
